> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of company pending invites



## OpenAPI

````yaml /schemas/index.yaml get /company/{id}/pending-invites
openapi: 3.1.0
info:
  title: Kinsta API
  version: 1.123.0
  description: pages/introduction.md
  termsOfService: https://kinsta.com/legal/terms-service/
  x-logo:
    url: https://kinsta-api-resources.s3.amazonaws.com/kinsta-api-logo-light.svg
    href: /
  x-meta:
    title: Kinsta API - Kinsta® Docs
    description: >-
      Kinsta's REST API provides a streamlined and efficient way to work with
      our platform, allowing you to efficiently retrieve data, perform actions,
      and automate tasks.
servers:
  - url: https://api.kinsta.com/v2
security: []
tags:
  - name: Company Users
    description: pages/company-users/description.md
  - name: Domains
    description: pages/domains/description.md
  - name: Available Regions
    description: pages/available-regions/description.md
  - name: API Keys
    description: pages/api-keys/description.md
  - name: Activity Logs
    description: pages/activity-logs/description.md
  - name: Invites
    description: pages/invites/description.md
  - name: WordPress Sites
    description: pages/wordpress-sites/description.md
  - name: WordPress Site Environments
    description: pages/wordpress-site-environments/description.md
  - name: WordPress Site Tools
    description: pages/wordpress-site-tools/description.md
  - name: WordPress Site Themes & Plugins
    description: pages/wordpress-site-themes-plugins/description.md
  - name: WordPress Site Domains
    description: pages/wordpress-site-domains/description.md
  - name: WordPress Edge Caching
    description: pages/wordpress-edge-caching/description.md
  - name: WordPress CDN
    description: pages/wordpress-cdn/description.md
  - name: Backups
    description: pages/backups/description.md
  - name: Logs
    description: pages/logs/description.md
  - name: Additional SFTP Users
    description: pages/additional-sftp-users/description.md
  - name: Analytics
    description: pages/analytics/description.md
  - name: WordPress Bot Protection
    description: pages/wordpress-bot-protection/description.md
  - name: Operations
    description: pages/operations/description.md
  - name: Authentication
    description: pages/authentication/description.md
paths:
  /company/{id}/pending-invites:
    get:
      tags:
        - Invites
      summary: Get list of company pending invites
      operationId: getInvites
      parameters:
        - schema:
            type: string
            example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
          required: true
          name: id
          in: path
      responses:
        '200':
          description: List of company pending invites
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPendingInvitesResponseSchema'
        '401':
          description: No or invalid API key provided to the request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema401'
        '404':
          description: >-
            Could not find the company or the user does not have permissions to
            retrieve data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema404'
        '500':
          description: Error occurred while retrieving company pending invites
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema500'
      security:
        - bearerAuth: []
components:
  schemas:
    GetPendingInvitesResponseSchema:
      type: object
      properties:
        company:
          type: object
          properties:
            id:
              type: string
              example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
            pending_invitations:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    example: a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d
                  email:
                    type: string
                    format: email
                    example: example@example.com
                  status:
                    type: string
                    example: pending
                  capabilities:
                    type: array
                    items:
                      type: object
                      properties:
                        company_id:
                          type:
                            - string
                            - 'null'
                        site_id:
                          type:
                            - string
                            - 'null'
                        role:
                          type: string
                        type:
                          type: string
                      required:
                        - company_id
                        - site_id
                        - role
                        - type
                    example:
                      - company_id: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
                        site_id: null
                        role: company-admin
                        type: company
                required:
                  - id
                  - email
                  - status
                  - capabilities
          required:
            - id
            - pending_invitations
      required:
        - company
    StatusResponseSchema401:
      type: object
      properties:
        message:
          type: string
          example: No or invalid API key provided to the request
        status:
          type: number
          example: 401
        data: {}
      required:
        - message
        - status
    StatusResponseSchema404:
      type: object
      properties:
        message:
          type: string
          example: >-
            Could not find data or the user does not have permissions to
            retrieve it
        status:
          type: number
          example: 404
        data: {}
      required:
        - message
        - status
    StatusResponseSchema500:
      type: object
      properties:
        message:
          type: string
          example: Error occurred while processing your request
        status:
          type: number
          example: 500
        data: {}
      required:
        - message
        - status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.